Refund payment - Payments - Mercado Pago Developers
Refund payment

A refund operation may be total, this is the total amount of the payment will be restored, o may be a partial refund, the amount in the request will be restored.

POST

https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}/refunds
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
advanced_payment_id
number

REQUIRED

The payment, with id 'advanced_payment_id' to be confirmed.
Body
amount
number
If amount is 0 then this is a refund of the total advanced payments amounts, otherwise is a partial refund.
Response parameters
id
number
Refund id.
payment_id
number
Payment id.
amount
number
Refund amount.
source
object
Errors

400Error

400

Bad-Request

500Error

500

Error

Request
curl -X POST \
    'https://api.mercadopago.com/v1/advanced_payments/{advanced_payment_id}/refunds'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********932064-12*********edf6d3c99*********2236c703f*********668' \
    
Response
[
  {
    "id": "1009042015",
    "payment_id": "18552260055",
    "amount": 10,
    "source": {
      "name": "user_name",
      "id": "abcdef1e23f4567d8e9123eb6591ff68df74c57930551ed980239f4538a7e530"
    }
  }
]